# Taisite-Platform

![](https://img.shields.io/badge/-%20marvelous-orange) ![](https://img.shields.io/badge/-%20gogeous-grey) ![](https://img.shields.io/badge/-%20elegant-blue)   

![输入图片说明](https://images.gitee.com/uploads/images/2019/0819/233820_75b5c4dd_5239689.png "泰斯特平台LOGO.png")


 **为尊重作者的劳动成果，Taisite-Platform 关键版权信息严禁篡改 有任何疑问欢迎联系作者讨论。 QQ:523314409 ** 


## 捐赠 | 支持

> [【捐赠支持(微信)】](https://images.gitee.com/uploads/images/2019/0819/234228_4c768444_5239689.jpeg "wechatDonation.jpg") 
 
> [【捐赠支持(支付宝)】](https://images.gitee.com/uploads/images/2019/0915/151226_cfd492fc_5239689.jpeg "支付宝收款二维码.jpg")

> 如果你喜欢这个项目，那就点击一下右上方的【Star】以及【Fork】，支持一下泰斯特平台吧！

**QQ 交流群号：728314402**


## Ⅰ. 泰斯特平台简介

### 背景

「泰斯特平台」是一个由「软件测试 & 机器学习爱好者」开发的接口自动化测试平台。

### 愿景

 平台致力于将人工智能技术与软件测试有效结合，让平台在保障测试精确性要求的同时更具智能化、泛化能力，
 同时尽可能 **最优化使用体验** ，目标是成为 **最贴心、最好用、颜值最高** 的开源测试平台。
 
### 技术栈

 平台遵循「前后端分离开发」思想，技术栈为：「Python + Vue + Mongodb」，后端开发使用的是轻量级 Web 框架 Flask，
前端 UI 框架则采用的是易上手的 ElementUi。
 
 [（在这里感谢一下本开源项目给我带来的启发)](https://github.com/githublitao/api_automation_test) 

### 使用环境

**推荐使用 Chrome 最新浏览器使用~**

    
## Ⅱ. 泰斯特平台特点 （os：和其他测试平台有什么区别？）
 
  **0.已经投入生产环境使用 1 年以上, 用起来轻松没负担~** 

 1.平台遵循「小而精」的策略，最大化所有功能的开发、使用性价比，可帮助测试团队快速搭建起易于上手 / 维护的接口
 自动化测试体系。
 
 2.平台遵循「零编码」原则，使用者不需要编程即可完成较为复杂的业务流程接口测试。
 
 3.平台遵循「颜值即正义」原则，操作界面展示如下：
 
 ![输入图片说明](https://images.gitee.com/uploads/images/2019/0819/233943_1f8c3f85_5239689.png "操作界面展示.png")
 
 4.平台拥有极佳的定时任务体验，启动定时任务后可随时停用 / 任意编辑任务内容且立即生效，同时拥有丰富的告警策略，
 页面展示如下：
 
 ![输入图片说明](https://images.gitee.com/uploads/images/2019/0819/234004_623ff92c_5239689.png "定时任务配置.png")
 
 5.平台拥有导入 / 导出功能，支持测试人员 **"最喜爱的"** Excel 格式，易于批量生成 / 修改用例。
 
 ![输入图片说明](https://images.gitee.com/uploads/images/2019/0819/234019_f62ca3cb_5239689.png "数据导入展示.png")
 
 6.平台拥有较为丰富的测试结果校验体系，支持**文本相似度**校验。
 ([具体内容可参考本篇博文](https://juejin.im/post/5cfe1dd96fb9a07ed7407321))
 
 7.平台对外提供测试任务调度接口，方便与开发项目集成。
 
 8.......
 
 ***（还有许许多多令人惊喜的小特色等着你去探索 & 挖掘）***
 

## Ⅲ .泰斯特平台功能图解

### V1.0

![输入图片说明](https://images.gitee.com/uploads/images/2019/0819/234034_604458dd_5239689.png "泰斯特平台结构图_V1.0.png")


## 平台部署

[点我进入平台部署](https://mp.weixin.qq.com/s/bLyDWHCAPCshF8vmbSHtWw)

## 平台教程

[点我进入平台教程](https://shimo.im/docs/8TqxG3Ttjvj9yT8T)


## 技术分享

![输入图片说明](https://images.gitee.com/uploads/images/2020/0311/174608_8a272cf2_5239689.png "屏幕截图.png")